libmwaw::Debug Namespace Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions
libmwaw::Debug Namespace Reference

debugging tools More...

## Functions
bool | dumpFile (librevenge::RVNGBinaryData &data, char const *fileName)
| a debug function to store in a datafile in the current directory WARNING: this function erase the file fileName if it exists (if debug_with_files is not defined, does nothing) More...
std::string | flattenFileName (std::string const &name)
| returns a file name from an ole/... name More...

## Detailed Description

debugging tools

## Function Documentation

bool libmwaw::Debug::dumpFile | ( | librevenge::RVNGBinaryData & | data,
|  | char const * | fileName
| ) |  |

a debug function to store in a datafile in the current directory WARNING: this function erase the file fileName if it exists (if debug_with_files is not defined, does nothing)

Referenced by MWAWPictMac::convertPict1To2(), EDocParser::decodeZone(), MsWksGraphInternal::DataPict::getBinaryData(), MsWksGraph::getEntryPicture(), MWAWOLEParser::parse(), MWAWRSRCParser::parsePICT(), ZWrtParser::readCPRT(), ClarisWksDocument::readCPRT(), MarinerWrtParser::readCPRT(), MacDocParser::readFile(), MacWrtParser::readGraphic(), WingzParser::readGraphic(), MoreParser::readGraphic(), ClarisWksGraph::readNamedPict(), ClarisWksGraph::readOLE(), ClarisWksGraph::readPictData(), BeagleWksStructManager::readPicture(), RagTime5Parser::readPicture(), MsWrdParser::readPicture(), MarinerWrtGraph::readPostscript(), ClarisWksGraph::readPS(), GreatWksDBParser::readRowRecords(), ClarisWksDocument::readSNAP(), ClarisWksDocument::readZone(), libmwaw_applepict1::Bitmap::saveBitmap(), libmwaw_applepict1::Pixmap::savePixmap(), MacDrawParser::sendBitmap(), MacDrawProParser::sendBitmap(), MsWksTable::sendChart(), ActaText::sendGraphic(), FullWrtGraph::sendGraphic(), LightWayTxtGraph::sendJPEG(), GreatWksBMParser::sendPicture(), MarinerWrtGraph::sendPicture(), GreatWksGraph::sendPicture(), RagTimeParser::sendPicture(), HanMacWrdKGraph::sendPicture(), WriteNowParser::sendPicture(), MacWrtProParser::sendPicture(), ClarisWksGraph::sendPicture(), HanMacWrdJGraph::sendPictureFrame(), MarinerWrtGraph::sendPSZone(), and MoreText::sendText().

std::string libmwaw::Debug::flattenFileName | ( | std::string const & | name | ) |

returns a file name from an ole/... name

Referenced by dumpFile(), MsWks4Zone::setAscii(), and libmwaw::DebugFile::write().